View Issue Details

IDProjectCategoryView StatusLast Update
0003916SymmetricDSBugpublic2019-04-23 11:41
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.1Fixed in Version3.10.1 
Summary0003916: Symmetric service fails to start on windows 10 due to conflicting slf4j versions
DescriptionSeen in wrapper.log:
Note duplicated binding warning:
2019-04-15 10:10:12 [INFO ] [java ] SLF4J: Found binding in [jar:file:/C:/SymmetricDS-Pro/lib/slf4j-log4j12-1.7.26.jar!/org/slf4j/impl/StaticLoggerBinder.class]
2019-04-15 10:10:12 [INFO ] [java ] SLF4J: Found binding in [jar:file:/C:/SymmetricDS-Pro/lib/slf4j-log4j12-1.7.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]

Leads to a class compatibility error:

2019-04-15 10:10:12 [INFO ] [java ] Exception in thread "main" java.lang.NoSuchMethodError: org.slf4j.helpers.Util.safeGetSystemProperty(Ljava/lang/String;)Ljava/lang/String;
2019-04-15 10:10:12 [INFO ] [java ] at org.slf4j.impl.VersionUtil.getJavaMajorVersion(VersionUtil.java:11)
2019-04-15 10:10:12 [INFO ] [java ] at org.slf4j.impl.Log4jMDCAdapter.<clinit>(Log4jMDCAdapter.java:37)
2019-04-15 10:10:12 [INFO ] [java ] at org.slf4j.impl.StaticMDCBinder.getMDCA(StaticMDCBinder.java:59)
2019-04-15 10:10:12 [INFO ] [java ] at org.slf4j.MDC.<clinit>(MDC.java:74)
2019-04-15 10:10:12 [INFO ] [java ] at org.jumpmind.symmetric.SymmetricLauncher.main(SymmetricLauncher.java:82)

Leads to SEVERE wrapper log error:

2019-04-15 10:10:13 [SEVERE ] [wrapper] Unexpected exit from server: 1
2019-04-15 10:10:13 [SEVERE ] [wrapper] Stopping because server exited too quickly after only 1203 milliseconds
2019-04-15 10:10:13 [SEVERE ] [wrapper] Exception caught.
Error 16 [Unexpected exit from server] with native error 1
    at org.jumpmind.symmetric.wrapper.WrapperService.execJava(WrapperService.java:213)
    at org.jumpmind.symmetric.wrapper.WindowsService$ServiceMain.serviceMain(WindowsService.java:591)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.sun.jna.CallbackReference$DefaultCallbackProxy.invokeCallback(CallbackReference.java:485)
    at com.sun.jna.CallbackReference$DefaultCallbackProxy.callback(CallbackReference.java:515)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 2bd1e435

2019-04-15 17:53:55

mmichalek

Details Diff
0003916: Symmetric service fails to start on windows 10 due to conflicting slf4j versions
0003916
mod - symmetric-assemble/common.gradle Diff File

SymmetricDS: 3.10 c57e0d95

2019-04-17 14:08:35

mmichalek

Details Diff
0003916: Symmetric service fails to start on windows 10 due to conflicting slf4j versions
0003916
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/build.gradle Diff File

Issue History

Date Modified Username Field Change
2019-04-15 10:11 mmichalek New Issue
2019-04-15 10:11 mmichalek Status new => assigned
2019-04-15 10:11 mmichalek Assigned To => mmichalek
2019-04-15 17:27 mmichalek Status assigned => new
2019-04-15 17:27 mmichalek Product Version 3.9.0 => 3.10.0
2019-04-15 17:27 mmichalek Fixed in Version => 3.10.1
2019-04-15 17:27 mmichalek Target Version 3.9.19 => 3.10.1
2019-04-15 17:55 mmichalek Summary Symmetric service fails to start on window 10 due to conflicting slf4j versions => Symmetric service fails to start on windows 10 due to conflicting slf4j versions
2019-04-15 17:57 mmichalek Status new => resolved
2019-04-15 17:57 mmichalek Resolution open => fixed
2019-04-15 18:00 mmichalek Changeset attached => SymmetricDS 3.10 2bd1e435
2019-04-23 11:00 mmichalek Changeset attached => SymmetricDS 3.10 c57e0d95
2019-04-23 11:41 elong Status resolved => closed